<?php
/**
 * Plugin Name:       Devhuset Blocks
 * Description:       Custom Gutenberg blocks developed by Devhuset
 * Requires at least: 6.1
 * Requires PHP:      7.0
 * Version:           0.1.0
 * Author:            Devhuset AS
 * Author URI:        https://devhuset.no
 * License:           GPL-2.0-or-later
 * License URI:       https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain:       devhuset-blocks
 *
 * @package devhuset-blocks
 */

if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly.
}

/**
 * Registers the block using the metadata loaded from the `block.json` file.
 * Behind the scenes, it registers also all assets so they can be enqueued
 * through the block editor in the corresponding context.
 *
 * @see https://developer.wordpress.org/reference/functions/register_block_type/
 */
function devhuset_blocks_init()
{
    register_block_type(__DIR__ . '/build/product-list');
    register_block_type(__DIR__ . '/build/product-attributes');
    register_block_type(__DIR__ . '/build/related-products');
    register_block_type(__DIR__ . '/build/testimonials');
    register_block_type(__DIR__ . '/build/posts');
}
add_action('init', 'devhuset_blocks_init');
