<?php
/**
 * @see https://github.com/WordPress/gutenberg/blob/trunk/docs/reference-guides/block-api/block-metadata.md#render
 */

// get per_page from block attributes
$post_type = $attributes['postType'] ?? 'post';
$per_page = $_GET['per_page'] ?? $attributes['perPage'] ?? 2;
$page = $_GET['page'] ?? 1;
$show_pagination = $attributes['showPagination'] ?? false;

$query_args = array(
    'post_type' => $post_type,
    'posts_per_page' => $per_page,
    'paged' => $page,
    'orderby' => 'date',
);


$posts = new WP_Query($query_args);
?>

<div <?php echo get_block_wrapper_attributes(); ?>>
    <?php if ($posts->have_posts()): ?>
        <?php while ($posts->have_posts()):
            $posts->the_post(); ?>
            <article class="dev-posts__item">
                <?php the_post_thumbnail('large'); ?>

                <h2 class="dev-posts__item-heading"><?php the_title(); ?></h2>

                <a href="<?php the_permalink(); ?>" class="dev-posts__item-link" aria-label="<?php the_title(); ?>"></a>
            </article>
        <?php endwhile; ?>
    <?php endif; ?>
</div>
<?php if ($show_pagination): ?>
    <div class="dev-posts__pagination">
        <?php
        echo paginate_links(
            array(
                'total' => $posts->max_num_pages,
            )
        );
        ?>
    </div>
<?php endif; ?>

<?php wp_reset_query(); ?>