<?php
/**
 * @see https://github.com/WordPress/gutenberg/blob/trunk/docs/reference-guides/block-api/block-metadata.md#render
 */

global $product;

$product_attributes = array_filter($product->get_attributes(), function ($attribute) {
    return $attribute['visible'];
});

?>
<div <?php echo get_block_wrapper_attributes(); ?>>
    <?php foreach ($product_attributes as $attribute):
        $name = $attribute['name'];
        $options = $attribute['options'];
        $options = is_array($options) ? implode(', ', $options) : $options;
        ?>
        <div class="devhuset-blocks-product-attributes__item">
            <h3 class="devhuset-blocks-product-attributes__item-heading"><?php echo $name ?></h3>
            <p class="devhuset-blocks-product-attributes__item-content"><?php echo $options ?></p>
        </div>
    <?php endforeach; ?>
</div>