<?php
/**
 * @see https://github.com/WordPress/gutenberg/blob/trunk/docs/reference-guides/block-api/block-metadata.md#render
 */

global $product;

$product_ids = wc_get_related_products($product->get_id(), 4);
?>

<div <?php echo get_block_wrapper_attributes(); ?>>
    <?php if (!empty($product_ids)): ?>
        <?php foreach ($product_ids as $product_id):
            $_product = wc_get_product($product_id);
            if (!$_product) {
                continue;
            }
            ?>
            <div class="__item">
                <?php echo $_product->get_image('medium'); ?>

                <h2><?php echo esc_html($_product->get_name()); ?></h2>

                <a href="<?php echo esc_url(get_permalink($_product->get_id())); ?>"></a>
            </div>
        <?php endforeach; ?>
    <?php endif; ?>
</div>