<?php
/**
 * @see https://github.com/WordPress/gutenberg/blob/trunk/docs/reference-guides/block-api/block-metadata.md#render
 */

// get per_page from block attributes
$testemonial_slug = $attributes['testemonialSlug'] ?? 'references';
$per_page = $_GET['per_page'] ?? $attributes['perPage'] ?? 2;
$page = $_GET['page'] ?? 1;
$show_pagination = $attributes['showPagination'] ?? false;

$query_args = array(
    'post_type' => $testemonial_slug,
    'posts_per_page' => $per_page,
    'paged' => $page,
    'orderby' => 'date',
);


$testemonials = new WP_Query($query_args);
?>

<div <?php echo get_block_wrapper_attributes(); ?>>
    <div class="dev-testemonials__container">
        <?php if ($testemonials->have_posts()): ?>
            <?php while ($testemonials->have_posts()):
                $testemonials->the_post(); ?>
                <div class="dev-testemonials__item">
                    <div class="dev-testemonials__item-icon-container">
                        <div class="dev-testemonials__item-icon">
                            <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 30 30" fill="currentColor" aria-hidden="true"
                                data-slot="icon">
                                <path fill-rule="evenodd" clip-rule="evenodd"
                                    d="M 5 4 C 3.895 4 3 4.895 3 6 L 3 14 C 3 15.105 3.895 16 5 16 L 9.0410156 16 C 9.0659476 17.786225 8.8912171 21.613615 7.1621094 24.453125 C 7.1627399 24.453222 7.1634317 24.453029 7.1640625 24.453125 A 1.0003907 1.0003907 0 0 0 8.5996094 25.800781 C 8.5996094 25.800781 13 22.444444 13 16 L 13 6 C 13 4.895 12.105 4 11 4 L 5 4 z M 19 4 C 17.895 4 17 4.895 17 6 L 17 14 C 17 15.105 17.895 16 19 16 L 23.041016 16 C 23.065948 17.786225 22.891217 21.613615 21.162109 24.453125 C 21.162109 24.453125 21.164062 24.453125 21.164062 24.453125 A 1.0003905 1.0003905 0 0 0 22.599609 25.800781 C 22.599609 25.800781 27 22.444444 27 16 L 27 6 C 27 4.895 26.105 4 25 4 L 19 4 z">
                                </path>
                            </svg>
                        </div>
                    </div>
                    <div class="dev-testemonials__item-content">
                        <?php the_field('quote', get_the_ID()); ?>
                    </div>
                    <div class="dev-testemonials__item-author">
                        <div class="dev-testemonials__item-author__image">
                            <?php the_post_thumbnail(); ?>
                        </div>

                        <div>
                            <h2 class="dev-testemonials__item-author__heading"><?php the_title(); ?></h2>
                            <p class="dev-testemonials__item-author__subheading">
                                <?php the_field('country', get_the_ID()); ?>
                            </p>
                        </div>
                    </div>
                </div>
            <?php endwhile; ?>
        <?php endif; ?>
    </div>
    <?php if ($show_pagination): ?>
        <div class="dev-testemonials__pagination">
            <?php
            echo paginate_links(
                array(
                    'total' => $testemonials->max_num_pages,
                )
            );
            ?>
        </div>
    <?php endif; ?>
</div>

<?php wp_reset_query(); ?>